<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_facebook_include.php
| Author: Martin Bokša
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_facebook = isset($user_data['user_facebook']) ? $user_data['user_facebook'] : "";
	if ($this->isError()) { $user_facebook = isset($_POST['user_facebook']) ? stripinput($_POST['user_facebook']) : $user_facebook; }
	$fbSplit = explode("||",$user_data['user_facebook']);$fbShow = (count($fbSplit)>1)? $fbSplit[2] : $user_data['user_facebook'];

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_facebook")."'><label for='user_facebook'>".$locale['uf_facebook'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_facebook")."'>";
	echo "<input type='text' id='user_facebook' name='user_facebook' value='".$fbShow."' maxlength='50' class='textbox' style='width:200px;' />";
  echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_facebook", $locale['uf_facebook_error']); }	
// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_facebook']) {
	$fbSplit = explode("||",$user_data['user_facebook']);
	$fbShow = (count($fbSplit)>1)? "<a href='http://facebook.com/profile.php?id=".$fbSplit[0]."' title='Profile'>".$fbSplit[1]." <img src='https://graph.facebook.com/".$fbSplit[0]."/picture?type=small' width='18px' height='18px' alt='Profil picture' /></a>" : $user_data['user_facebook']." <img src='".IMAGES."icons/facebook_icon.png' alt='Facebook' />";
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_facebook']."</td>\n";
		echo "<td align='right' class='tbl1'>".$fbShow."</td>\n";
		echo "</tr>\n";
	}	
// Insert or update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_facebook']) && ($_POST['user_facebook'] != "" || $this->_isNotRequired("user_facebook"))) {
  // Set update or insert user data
    $ch = @curl_init();
    @curl_setopt($ch,CURLOPT_URL,"http://graph.facebook.com/".$_POST['user_facebook']);@curl_setopt($ch,CURLOPT_USERAGENT,'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13');
    @curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);@curl_setopt($ch,CURLOPT_CONNECTTIMEOUT,5);
    $curl = @curl_exec($ch);curl_close($ch);
    
    $userInfo = json_decode($curl);
    if (isset($userInfo->name)){
     $link = (isset($userInfo->username))? $userInfo->username : $userInfo->id;$name =iconv('UTF-8', 'cp1250', $userInfo->name);   
     $fbRes = $userInfo->id."||".$name."||".$link;
    }else{
     $fbRes =  preg_replace("/[^ \w._\/]/", "", $_POST['user_facebook']);
    }    

		$this->_setDBValue("user_facebook", stripinput(trim($fbRes)));
	} else {
		$this->_setError("user_facebook", $locale['uf_facebook_error'], true);	
	}
}
?>