<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_browser_include.php
| Author: Martin Boka
| Idea: Hugo
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
$browsers = array(
1 => array("googlechrome-ic.jpg","Google Chrome"),
2 => array("googlechromeb-ic.jpg","Google Chrome 19 Dev"),
3 => array("opera-ic.jpg","Opera"),
4 => array("ietester-ic.jpg","IETester"),
5 => array("sleipnir-ic.jpg","Sleipnir"),
6 => array("kidzui-ic.jpg","KidZui"),
7 => array("safari-ic.jpg","Safari"),
8 => array("maxthon-ic.jpg","Maxthon Browser"),
9 => array("msie-ic.jpg","Internet Explorer"),
10 => array("flock-ic.jpg","Flock"),
11 => array("amaya-ic.jpg","Amaya"),
12 => array("speedyfox-ic.jpg","SpeedyFox"),
13 => array("wyzo-ic.jpg","Wyzo"),
14 => array("default.jpg","SRWare Iron"),
15 => array("chromium-ic.jpg","Chromium"),
16 => array("arora-ic.jpg","Arora"),
17 => array("kmeleon-ic.jpg","K-Meleon"),
18 => array("operator-ic.jpg","OperaTor"),
19 => array("xbbrowser-ic.jpg","xB Browser"),
20 => array("default.jpg","Avant Browser"),
21 => array("default.jpg","PhaseOut"),
22 => array("default.jpg","Netscape Browser"),
23 => array("default.jpg","GreenBrowser"),
24 => array("firefox-ic.jpg","Mozilla Firefox")
);
asort($browsers);
// Display user field input
if ($profile_method == "input") {
	$user_browser = isset($user_data['user_browser']) ? $user_data['user_browser'] : "";
	if ($this->isError()) { $user_browser = isset($_POST['user_browser']) ? stripinput($_POST['user_browser']) : $user_browser; }
	
	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_browser")."'><label for='user_browser'>".$locale['uf_browser'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_browser")."'>";
	echo "<select name='user_browser' class='textbox' style='width:200px;' id='user_browser'>\n";
	foreach($browsers as $key=>$name){
		echo "<option value='".$key."' ".($key==$user_data['user_browser']?"selected='selected'":"").">".$name[1]."</option>\n";
	}
	echo "</select>\n";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_browser", $locale['uf_browser_error']); }
	
// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_browser']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_browser']."</td>\n";
		echo "<td align='right' class='tbl1'>".$browsers[$user_data['user_browser']][1]." <img src='".IMAGES."browsers/".$browsers[$user_data['user_browser']][0]."' alt='' width='18px' height='18px'/></td>\n";
		echo "</tr>\n";
	}
	
// Insert or update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_browser']) && ($_POST['user_browser'] != "" || $this->_isNotRequired("user_browser"))) {
		// Set update or insert user data
		$this->_setDBValue("user_browser", stripinput(trim($_POST['user_browser'])));
	} else {
		$this->_setError("user_browser", $locale['uf_browser_error'], true);	
	}
}
?>