<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_phpfusionsk_include.php
| Author: Martin Bokša
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_phpfusionsk = isset($user_data['user_phpfusionsk']) ? $user_data['user_phpfusionsk'] : "";
	if ($this->isError()) { $user_phpfusionsk = isset($_POST['user_phpfusionsk']) ? stripinput($_POST['user_phpfusionsk']) : $user_phpfusionsk; }
	$phpfSplit = explode("||",$user_data['user_phpfusionsk']);$phpfShow = (count($phpfSplit)>1)? $phpfSplit[0] : $user_data['user_phpfusionsk'];
		
	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_phpfusionsk")."'><label for='user_phpfusionsk'>".$locale['uf_phpfusionsk'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_phpfusionsk")."'>";
	echo "<input type='text' id='user_phpfusionsk' name='user_phpfusionsk' value='".$phpfShow."' maxlength='30' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_phpfusionsk", $locale['uf_phpfusionsk_error']); }
	
// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_phpfusionsk']) {
	$phpfSplit = explode("||",$user_data['user_phpfusionsk']);
	$phpfShow = (count($phpfSplit)>1)? "<a href='http://phpfusion.sk/profile.php?lookup=".$phpfSplit[0]."' title='Profile'>".$phpfSplit[1]." <img src='http://graph.phpfusion.sk/image.php?id=".$phpfSplit[0]."' width='18px' height='18px' alt='Profil picture' /></a>" : $user_data['user_phpfusionsk']." <img src='".IMAGES."icons/phpfusionsk_icon.png' alt='PHP Fusion.sk' />";

		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_phpfusionsk']."</td>\n";
		echo "<td align='right' class='tbl1'>".$phpfShow."</td>\n";
		echo "</tr>\n";
	}
	
// Insert or update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_phpfusionsk']) && ($_POST['user_phpfusionsk'] != "" || $this->_isNotRequired("user_phpfusionsk"))) {
		// Set update or insert user data
		    $ch = @curl_init();
    @curl_setopt($ch,CURLOPT_URL,"http://graph.phpfusion.sk/?id=".$_POST['user_phpfusionsk']);@curl_setopt($ch,CURLOPT_USERAGENT,'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13');
    @curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);@curl_setopt($ch,CURLOPT_CONNECTTIMEOUT,5);
    $curl = @curl_exec($ch);curl_close($ch);
    
    $userInfo = json_decode($curl);
    if (isset($userInfo->name)){
	 $name =iconv('UTF-8', 'cp1250', $userInfo->name);   
     $phpfRes = $userInfo->id."||".$name."|| ";
    }else{
     $phpfRes =  preg_replace("/[^ \w._\/]/", "", $_POST['user_phpfusionsk']);
    }    

		$this->_setDBValue("user_phpfusionsk", stripinput(trim($phpfRes)));
	} else {
		$this->_setError("user_phpfusionsk", $locale['uf_phpfusionsk_error'], true);	
	}
}
?>