<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_twitter_include.php
| Author: Martin Bokša
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_twitter = isset($user_data['user_twitter']) ? $user_data['user_twitter'] : "";
	if ($this->isError()) { $user_twitter = isset($_POST['user_twitter']) ? stripinput($_POST['user_twitter']) : $user_twitter; }
	$tweetSplit = explode("||",$user_data['user_twitter']);$tweetShow = (count($tweetSplit)>1)? $tweetSplit[2] : $user_data['user_twitter'];
		
	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_twitter")."'><label for='user_twitter'>".$locale['uf_twitter'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_twitter")."'>";
	echo "<input type='text' id='user_twitter' name='user_twitter' value='".$tweetShow."' maxlength='50' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_twitter", $locale['uf_twitter_error']); }
	
// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_twitter']) {
	$tweetSplit = explode("||",$user_data['user_twitter']);
	$tweetShow = (count($tweetSplit)>1)? "<a href='https://twitter.com/".$tweetSplit[2]."' title='Profile'>".$tweetSplit[1]." <img src='https://api.twitter.com/1/users/profile_image?screen_name=".$tweetSplit[2]."&amp;size=mini' width='18px' height='18px' alt='Profil picture' /></a>" : $user_data['user_twitter']." <img src='".IMAGES."icons/twitter_icon.gif' alt='Twitter' />";

		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_twitter']."</td>\n";
		echo "<td align='right' class='tbl1'>".$tweetShow."</td>\n";
		echo "</tr>\n";
	}
	
// Insert or update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_twitter']) && ($_POST['user_twitter'] != "" || $this->_isNotRequired("user_twitter"))) {
		// Set update or insert user data
	$ch = @curl_init();
    @curl_setopt($ch,CURLOPT_URL,"https://api.twitter.com/1/users/show.json?screen_name=".$_POST['user_twitter']."&amp;include_entities=true");@curl_setopt($ch,CURLOPT_USERAGENT,'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13');
    @curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);@curl_setopt($ch,CURLOPT_CONNECTTIMEOUT,5);
    $curl = @curl_exec($ch);curl_close($ch);
    
    $userInfo = json_decode($curl);
    if (isset($userInfo->name)){
     $name =iconv('UTF-8', 'cp1250', $userInfo->name);   
     $tweetRes = $userInfo->id."||".$name."||".$userInfo->screen_name;
    }else{
     $tweetRes =  preg_replace("/[^ \w._\/]/", "", $_POST['user_twitter']);
    }    

		$this->_setDBValue("user_twitter", stripinput(trim($tweetRes)));
	} else {
		$this->_setError("user_twitter", $locale['uf_twitter_error'], true);	
	}
}
?>